Wordpress 3.1.2-scripts
[autoinstalls/wordpress.git] / wp-admin / admin-footer.php
1 <?php
2 /**
3  * WordPress Administration Template Footer
4  *
5  * @package WordPress
6  * @subpackage Administration
7  */
8
9 // don't load directly
10 if ( !defined('ABSPATH') )
11         die('-1');
12 ?>
13
14 <div class="clear"></div></div><!-- wpbody-content -->
15 <div class="clear"></div></div><!-- wpbody -->
16 <div class="clear"></div></div><!-- wpcontent -->
17 </div><!-- wpwrap -->
18
19 <div id="footer">
20 <p id="footer-left" class="alignleft"><?php
21 do_action( 'in_admin_footer' );
22 $upgrade = apply_filters( 'update_footer', '' );
23 echo apply_filters( 'admin_footer_text', '<span id="footer-thankyou">' . __('Thank you for creating with <a href="http://wordpress.org/">WordPress</a>.').'</span> | '.__('<a href="http://codex.wordpress.org/">Documentation</a>').' | '.__('<a href="http://wordpress.org/support/forum/4">Feedback</a>') ); ?>
24 </p>
25 <p id="footer-upgrade" class="alignright"><?php echo $upgrade; ?></p>
26 <div class="clear"></div>
27 </div>
28 <?php
29 do_action('admin_footer', '');
30 do_action('admin_print_footer_scripts');
31 do_action("admin_footer-" . $GLOBALS['hook_suffix']);
32
33 // get_site_option() won't exist when auto upgrading from <= 2.7
34 if ( function_exists('get_site_option') ) {
35         if ( false === get_site_option('can_compress_scripts') )
36                 compression_test();
37 }
38
39 ?>
40
41 <script type="text/javascript">if(typeof wpOnload=='function')wpOnload();</script>
42 </body>
43 </html>